version: '3.3'
services:
  stirling-pdf:
    image: frooodle/s-pdf:latest
    ports:
      - '8585:8080'
    volumes:
      - ./trainingData:/usr/share/tessdata # Required for extra OCR languages
      - ./extraConfigs:/configs
#      - /customFiles:/customFiles/
#      - ./logs:/logs/
    environment:
      - DOCKER_ENABLE_SECURITY=true          # Enable security features
      - SECURITY_ENABLE_LOGIN=true          # Enable login
      - SECURITY_INITIALLOGIN_USERNAME=admin # Set initial username
      - SECURITY_INITIALLOGIN_PASSWORD=stirling # Set initial password
      - LANGS=en_GB                         # Set language
      - INSTALL_BOOK_AND_ADVANCED_HTML_OPS=false # Optional: Disable advanced HTML operations